Skip to main content
DELETE
/
marketing
/
marketing-events
/
2026-03
/
events
/
{externalEventId}
Delete Marketing Event by External Ids
curl --request DELETE \
  --url https://api.hubapi.com/marketing/marketing-events/2026-03/events/{externalEventId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.hubapi.com/marketing/marketing-events/2026-03/events/{externalEventId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.hubapi.com/marketing/marketing-events/2026-03/events/{externalEventId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


This response has no body data.
{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

externalEventId
string
required

The id of the marketing event in the external event application

Query Parameters

externalAccountId
string
required

The accountId that is associated with this marketing event in the external event application

Response

Last modified on March 31, 2026